secret_key_base should be configured

03/02/2016 10:41 AM - Dominic Cleal

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Rails   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Rails 4.1 adds a secrets.yml file that should be configured with a secret_key_base per environment.  This replaces the secret token

initialiser.  Deprecation warnings are currently being issued by Rails:

DEPRECATION WARNING: You didn't set `secret_key_base`. Read the upgrade documentation to learn mor

e about this new config option. (called from validate_secret_key_config!

 http://edgeguides.rubyonrails.org/upgrading_ruby_on_rails.html#config-secrets-yml has more info.

This will need some updates to packaging too, since we have scripts to generate the tokens and link the files into the right place

post-installation.

Related issues:

Related to Foreman - Feature #7230: Upgrade Ruby on Rails to 4.1 Closed 08/22/2014

Is duplicate of Foreman - Refactor #7570: set secret_key_base for rails 6.0 u... Closed

History

#1 - 03/02/2016 10:42 AM - Dominic Cleal

- Related to Feature #7230: Upgrade Ruby on Rails to 4.1 added

#2 - 03/23/2016 06:42 PM - Brandon Weeks

- Blocks Refactor #7570: set secret_key_base for rails 6.0 upgrade added

#3 - 03/24/2016 04:14 AM - Dominic Cleal

- Blocks deleted (Refactor #7570: set secret_key_base for rails 6.0 upgrade)

#4 - 03/24/2016 04:14 AM - Dominic Cleal

- Is duplicate of Refactor #7570: set secret_key_base for rails 6.0 upgrade added

#5 - 03/24/2016 04:14 AM - Dominic Cleal

- Status changed from New to Duplicate
